Subject: Re: [PATCH 1/2] Support for setitimer() on platforms lacking it

From: Johannes Sixt <[email-masked]>
Date: Tue, 04 Sep 2012 20:48:42 +0200

Am 04.09.2012 19:23, schrieb Joachim Schmitz:
>> From: Junio C Hamano [mailto:[email-masked]]
>> Only with the observation of "clone", I cannot tell if your timer is
>> working.  You can try repacking the test repository you created by
>> your earlier "git clone" with "git repack -a -d -f" and see what
>> happens.
> 
> It does update the counter too.

Last time I looked at the progress code, it updated the progress text
also every time the percent value changed. If you have a large count or
large objects such that it takes more than a second to increase the
percentage, than you don't get a smooth progress. Nor do you for phases
that do not have a percentage, like the "counting objects" phase of
pack-objects.

-- Hannes